package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class UtenteAppDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(UtenteAppDTO.class);
        UtenteAppDTO utenteAppDTO1 = new UtenteAppDTO();
        utenteAppDTO1.setId(1L);
        UtenteAppDTO utenteAppDTO2 = new UtenteAppDTO();
        assertThat(utenteAppDTO1).isNotEqualTo(utenteAppDTO2);
        utenteAppDTO2.setId(utenteAppDTO1.getId());
        assertThat(utenteAppDTO1).isEqualTo(utenteAppDTO2);
        utenteAppDTO2.setId(2L);
        assertThat(utenteAppDTO1).isNotEqualTo(utenteAppDTO2);
        utenteAppDTO1.setId(null);
        assertThat(utenteAppDTO1).isNotEqualTo(utenteAppDTO2);
    }
}
